Option | Description | Values | Default
--- | --- | --- | ---
sortParamsByRequiredFlag | Sort method arguments to place required parameters before optional parameters. |  | true
sortModelPropertiesByRequiredFlag | Sort model properties to place required parameters before optional parameters. |  | true
ensureUniqueParams | Whether to ensure parameter names are unique in an operation (rename parameters that are not). |  | true
allowUnicodeIdentifiers | boolean, toggles whether unicode identifiers are allowed in names or not, default is false |  | false
prependFormOrBodyParameters | Add form or body parameters to the beginning of the parameter list. |  | false
hideGenerationTimestamp | Hides the generation timestamp when files are generated. |  | true
useEs6 | use ES6 templates |  | false

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---
array | Array

##
LANGUAGE PRIMITIVES

- number
- Blob
- boolean
- string
- Object
- Date

##
RESERVED WORDS

- implements
- synchronized
- private
- import
- const
- for
- do
- interface
- while
- switch
- default
- goto
- protected
- public
- continue
- assert
- else
- catch
- if
- class
- case
- new
- package
- static
- void
- break
- double
- byte
- finally
- this
- abstract
- throws
- enum
- int
- instanceof
- super
- extends
- throw
- transient
- char
- final
- short
- try
- return

Last updated on 1/9/2020